/*
 * @(#)$Id: voice.h,v 1.1 1993/01/06 18:14:13 wcp Exp $
 *
 * Copyright (C) 1993	Walter Pelissero
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * $Log: voice.h,v $
 * Revision 1.1  1993/01/06  18:14:13  wcp
 * Initial revision
 *
 */

#ifndef _voice_h_INCLUDED
#define _voice_h_INCLUDED

#include <termio.h>
#include "common.h"
#include "modemio.h"
#include "zyxel.h"

typedef struct {
  int infd, outfd;
  struct termio orig_tty_settings;
} Port;

typedef enum {
  NOSPKR = 0,
  TELCOLINE = 2,
  EXTMIC = 8,
  INTSPKR = 16
  } Speaker;

typedef enum {
  CELP = 1,
  FIRST_VOICEEN = CELP,
  ADPCM2,
  ADPCM3,
  LAST_VOICEEN = ADPCM3
  } VoiceEncoding;

extern bool closeLine(Port);
extern Port openLine(const char *);
extern bool setLine(Port);
extern bool resetLine(Port);

#endif /* _voice_h_INCLUDED */
